<!DOCTYPE html>
<html>
<head>
	<title></title>
</head>
<body>
	<h1> Hello Array</h1>
	<script>
		let words = ['one','two','three','four']; //object
		let addWord = () => {
			var word = document.getElementById('newWord').value;
			document.getElementById('newWord').value = '';

			words.push(word);
			updateGUI();
		}
		let removeWord = () => {
			var word = document.getElementById('newWord').value;
			if(word === ""){
				words.pop();
			} else{
			 console.log("Assignment remove :"+word);
			}
			
			updateGUI();
			//words.shift();
			//words.unshift();
		}
		let updateGUI = () =>{
			document.getElementById('result').innerHTML = words;
		}

	</script>
	<input id="newWord" placeholder="Add words" type="" name="" value=""> <br/> <br/>

	<input onclick="addWord()" type="button" name="" value="Add"> | 
	<input onclick="removeWord()" type="button" name="" value="Remove"> | 

	 <br/> <br/>
	
	<label id="result"></label>
	<script type="text/javascript">
		updateGUI();
	</script>

</body>
</html>
